w = love.graphics.getWidth() / 2   -- half the window width
h = love.graphics.getHeight() / 2   -- half the window height


function love.load()
   playerUp = love.graphics.newImage("textures/player_up.png")
   playerDown = love.graphics.newImage("textures/player_down.png")
   playerLeft = love.graphics.newImage("textures/player_left.png")
   playerRight = love.graphics.newImage("textures/player_right.png")
   stone = love.graphics.newImage("textures/stone.png")
   mark = love.graphics.newImage("textures/mark.png")
   x = 50
   y = 50
   playerVar = 0
end

function love.mousepressed(MouseX, MouseY, button)
   if button == "2" then
		love.graphics.draw(mark, MouseX, MouseY)
		while x != MouseX do
			x = x + 1
			player.graphics.draw(playerUp, x, y)
		end
		while y != MouseY do
			y = y + 1
			player.graphics.draw(playerDown, x, y)
		end
   end
end

function love.draw()
	love.graphics.setBackgroundColor(0,150,16)
    love.graphics.print('Early test v0.0.0b.', 5, 2)
	love.graphics.print('Move the character by pressing W, A, S, D', 5, 15)
	if playerVar == 1 then
		love.graphics.draw(playerRight, x, y)
	end
	if playerVar == 2 then
		love.graphics.draw(playerLeft, x, y)
	end
	if playerVar == 3 then
		love.graphics.draw(playerDown, x, y)
	end
	if playerVar == 4 then
		love.graphics.draw(playerUp, x, y)
	end
end


function love.update()
   if love.keyboard.isDown("d") then
      x = x + 1
	  playerVar = 1
   end
   if love.keyboard.isDown("a") then
      x = x - 1
	  playerVar = 2
   end

   if love.keyboard.isDown("s") then
      y = y + 1
	  playerVar = 3
   end
   if love.keyboard.isDown("w") then
      y = y - 1
	  playerVar = 4
   end
end





